
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ui-Android 更新UI 耗时问题 / iVAN</title>

    <meta name="description" content="ui-Android 更新UI 耗时问题 问题描述 Android 更新UI 耗时问题 假如现在我得到了某个List,里面有1000个字符串,然后我想我在主线程中按下某个Button之后,把它们都动态地加载到UI上来,完全是用代码动态添加的布局,然后执行的时候发现有点耗时. 现在有两个问题: 1.有没有什么机制可以让它加载地更快,因为发现更新UI的语句只能在主线程执行,但是耗时的本身就是这些语句 2.如果一定得耗时,我想在加载的时候显示一个progressDialog,更新UI语句全在主线程一个foreach()循环里,我在foreac">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ui-Android 更新UI 耗时问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>Android 更新UI 耗时问题
        </dt>
<dd>
          <br />假如现在我得到了某个List,里面有1000个字符串，然后我想我在主线程中按下某个Button之后，把它们都动态地加载到UI上来，完全是用代码动态添加的布局，然后执行的时候发现有点耗时。<br />
现在有两个问题：<br />
1.有没有什么机制可以让它加载地更快，因为发现更新UI的语句只能在主线程执行，但是耗时的本身就是这些语句<br />
2.如果一定得耗时，我想在加载的时候显示一个progressDialog,更新UI语句全在主线程一个foreach()循环里，我在foreach前showDialog,在foreach后dismiss,发现似乎是没有效果，网上查到的使用方法都是子线程里发消息通知耗时操作完成了，我这种情况的话应该怎么办</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>我在Activity中开了一个后台线程，负责获取数据，每个10秒通过Handler通知Activity的TextView显示（setText（））。</p>
<p>问题是当我按back键的时候，Activity会finish掉。再次启动时，依然能或得到线程发来的数据，但是却无法更新UI（setText（）不更新）。如果按home键则没有问题，因为Activity不会finish掉。</p>
<p>请高手指教啊！！......<br /><strong>答案就在这里：</strong><a href="http://blog.csdn.net/findsafety/article/details/8854161" rel="external nofollow noreferrer">android 关于更新UI的问题</a></p>
<p>解决方案二：<br />
    <br />主线程里面不能放置耗时的程序，必须开子线程，通过handler告知主线程更新</p>
<p>解决方案三：<br />
    <br />开子线程执行耗时操作</p>
<p>解决方案四：<br />
    <br />你开一个AsyncTask异步任务，主要复写三个接口,onPre...   doinBackground, onPost...<br />
这三个除了中间的一个是在子线程里运行，其余都是在ui线程，你只要在onPre...那里显示进度条，然后在doinback...里处理费时操作，然后在onpost...里取消显示进度条并更新ui就行</p>
<p>解决方案五：<br />
    <br />UIThread里不能有耗时操作，必须开Thread</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-08 14:59:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ui-Android 更新UI 耗时问题的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW15j7z.html" rel="bookmark">android更新UI的几种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为IT新手,总以为只要有时间,有精力,什么东西都能做出来.这种念头我也有过,但很快就熄灭了, 因为现实是残酷的,就算一开始的时间和精力非常充足,也会随着项目的推进而逐步消磨殆尽.我们会发现, 自己越来越消极怠工,只是在无意义的敲代码,敲的还是网上抄来的代码,如果不行,继续找. 这就 是项目进度没有规划好而导致的. 最近在做有关蓝牙的项目,一开始的进度都安排得很顺利,但是因 为测试需要两部手机,而且还要是android手机,暑假已经开始了,同学们都回家了,加上我手机的蓝牙坏了 ,导致我的进度严重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rEl8p.html" rel="bookmark">线程-关于android更新ui的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于android更新ui的问题 为什么setClickable可以 在线程中修改ui而setEnable和setVisibilty不能在线程中使用. 解决方案 因为后面两个会引起UI重绘,所以不能再非UI线程调用 例如setVisibilty,会使控件显示出来,这时需要重绘 关注我的专栏http://blog.csdn.net/crazy__chen谢谢 解决方案二: android widget UI 更新问题的一个样例如何利用Handler更新android的UI关于Androi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1ROQb.html" rel="bookmark">Android更新UI的四种方法详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 相信每位Android开发者们都知道更新UI只能在主线程中进行,若是在子线程执行任务后需要更新UI,则需要借助handler跳转到主线程中.以下介绍几种操作UI的方法. 一.使用Handler的handleMessage() Handler的构造 public Handler() { this(null, false); } public Handler(Callback callback, boolean async) { if (FIND_POTENTIAL_LEAKS) { fina			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL8elRp.html" rel="bookmark">Android 更新UI的方法汇总&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Activity的 runOnUiThread textView = (TextView) findViewById( R.id.tv ); new Thread(new Runnable() { @Override public void run() { runOnUiThread(new Runnable() { @Override public void run() { textView.setText( &quot;更新UI了&quot;); } }); } }).start(); andro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p564Qqz.html" rel="bookmark">Android 更新UI的方法汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Activity的 runOnUiThread textView = (TextView) findViewById( R.id.tv ); new Thread(new Runnable() { @Override public void run() { runOnUiThread(new Runnable() { @Override public void run() { textView.setText( &quot;更新UI了&quot;); } }); } }).start(); andro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAAnOM.html" rel="bookmark">学习通过Thread&plus;Handler实现非UI线程更新UI组件（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  [Android线程机制]    出于性能考虑,Android的UI操作并不是线程安全的,这就意味着如果有多个线程并发操作UI组件,可能导致线程安全问题.为了解决这个问题,Android制定了一条简单的规则:只允许UI线程修改Activity里的UI组件    当一个程序第一次启动时,Android会同时启动一条主线程(Main Thread),主线程主要负责处理与UI相关的事件,如用户的按键事件,用户接触屏幕的事件及屏幕绘图事件,并把相关的事件分发到对应的组件进行处理.所以主线程通常又被叫			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z76YvAp.html" rel="bookmark">Android 更新UI的几种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Activity的 runOnUiThread    textView = (TextView) findViewById( R.id.tv ); new Thread(new Runnable() { @Override public void run() { runOnUiThread(new Runnable() { @Override public void run() { textView.setText( &quot;更新UI了&quot;); } }); } }).start(); an			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6N3EOM.html" rel="bookmark">Android异步更新UI的四种方式&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道由于性能要求,android要求只能在UI线程中更新UI,要想在其他线程中更新UI,大致有4种方式,下面分别使用四种方式来更新一个TextView.1.使用Handler消息传递机制 package com.example.runonuithreadtest; import android.app.Activity; import android.os.Bundle; import android.os.Handler; import android.widget.TextView;			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7yLmM.html" rel="bookmark">android中子线程更新UI的方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.为何写作此文 你是不是经常看到很多书籍中说:不能在子线程中操作ui,不然会报错.你是不是也遇到了如下的疑惑(见下面的代码): (Bundle savedInstanceState) { .onCreate(savedInstanceState); setContentView(R.layout.activity_main); tv = (TextView) findViewById(R.id.tv); Thread.currentThread().setName(); LooperThrea			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4wB9p.html" rel="bookmark" class="title">PHP数组的交集array</a>
					<div>
						返回一个交集共有元素的数组(只是数组值得比较).array_intersect_assoc()函数是将键值和值绑定,一起比较交集部分.array_intersect_key()函数是将两个数组的键值进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6ExJb.html" rel="bookmark" class="title">IE6、IE7、IE8怎么才能支持CSS3</a>
					<div>
						文章简介:让IE6.IE7.IE8支持CSS3. 我们都知道IE6,7并不支持CSS3的属性,IE8也不能很好的支持CSS3.但是有一个小脚本能够做到,它可以让IE支持 CSS3,包括:border- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW12lXz.html" rel="bookmark" class="title">MOSS数据库服务器迁移步骤</a>
					<div>
						迁移场景: MOSS场具有四台服务器:两台前端,一台index服务器,一台数据库服务器. 需要把数据库迁移到采用集中存储的数据库集群上. 源数据库服务器和目标数据库服务器处于同一个AD域中,目标数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR0Eqz.html" rel="bookmark" class="title">PHP删除MYSQL数据库中所有表的代码</a>
					<div>
						如果不想删除库,只想删除库里的所有表,那就用这个脚本吧呵呵 很方便的. .&lt;?PHP $hostname ='localhost'; $userid = 'user'; $password =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyO3qb.html" rel="bookmark" class="title">15款新鲜出炉的实用网页设计工具</a>
					<div>
						  在信息爆炸的今天,设计师要通过网络寻找设计素材 和工具是一件简单的事情,相应的,要找到真正可靠且素质优秀的素材 ,也越发的不容易.在海量的网站中寻找一个符合需求的素材 ,花费在搜索和筛选上的时间也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wqQLp.html" rel="bookmark" class="title">PowerPoint2007中怎样查看幻灯片母版</a>
					<div>
						PowerPoint 2007包含三个母版,它们是幻灯片母版.讲义母版和备注母版.当需要设置幻灯片风格时,可以在幻灯片母版视图中进行设置;当需要将演示文稿以讲义形式打印输出时,可以在讲义母版中进行设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6rZxb.html" rel="bookmark" class="title">电脑上网很卡怎么办？</a>
					<div>
						  1.软件方面:电脑用久了之后都会产生一些垃圾,这样会影响到系统速度.你可以做一下磁盘碎片整理,然后下载一个windows优化大师优化一下. 2.硬件方面:影响电脑速度最主要的是CPU以及内存了.你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGoW6p.html" rel="bookmark" class="title">Mac怎么安装字体</a>
					<div>
						  第一步:首先是下载您需要的字体,需要说明的是,windows系统下和苹果系统下字体的格式都是统一被识别的 第二步:选择安装即可,就能安装您需要的字体了. 第三步:如何管理字体. 第四步:选择你需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjX84b.html" rel="bookmark" class="title">流媒体01：VLC-2&period;2&period;1编译</a>
					<div>
						海狗哥的流媒体空间大部分介绍VLC的编译,跟踪了0.8.6i到1.0.X版本的编译方法,最近又把VLC-2.2.1编译了一下. 比起几年前的编译过程,VLC-2.2.1的编译错误更少,只是编译的文档还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oKJnb.html" rel="bookmark" class="title">QQ邮箱删除的邮件恢复方法</a>
					<div>
						给各位QQ软件的用户们来详细的解析分享一下QQ邮箱删除的邮件恢复的方法. 方法分享: 步骤一:如果删除了邮件,不管是普通删除还是彻底删除,都可以在几秒钟之内选择撤销操作,这样可以恢复之前的一个误删除的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXjlXp.html" rel="bookmark" class="title">炒冷饭系列：设计模式 工厂方法模式</a>
					<div>
						一.什么是工厂方法模式 工厂方法模式同样属于类的创建型模式又被称 为多态工厂模式 .工厂方法模式的意义是定义一个创建 产品对象的工厂接口,将实际创建工作推迟到子类当中. 核心工厂类不再负责产品的创建, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGQ6Np.html" rel="bookmark" class="title">记一道有意思的算法题Rotate Image（旋转图像）</a>
					<div>
						题出自https://leetcode.com/problems/rotate-image/ 内容为: You are given an n x n 2D matrix representing an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eXEAb.html" rel="bookmark" class="title">Android数据加密之SHA安全散列算法&lowbar;Android</a>
					<div>
						前言: 对于SHA安全散列算法,以前没怎么使用过,仅仅是停留在听说过的阶段,今天在看图片缓存框架Glide源码时发现其缓存的Key采用的不是MD5加密算法,而是SHA-256加密算法,这才勾起了我的好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVQPOb.html" rel="bookmark" class="title">AES加密解密&amp;amp&semi;&amp;amp&semi;SHA1、SHA加密&amp;amp&semi;&amp;amp&semi;MD5加密</a>
					<div>
						版权声明:本文为博主原创文章,转载注明出处http://blog.csdn.net/u013142781 AES加密解密 SHA1.SHA加密 MD5加密 二话不说马上附上代码: package co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P9dBp.html" rel="bookmark" class="title">中国红盟SharpWinner与天津站长探讨网络入侵</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 6月21日下午3点,天津市软件行业协会互联网应用分会第五期周研讨例会开始,官方QQ群:39241075,本期研讨由站长网www.admin5.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrZX8M.html" rel="bookmark" class="title">宋继强详解英特尔AI战略布局，三大引以为豪的技术优势 &vert; 新智元峰会演讲PPT</a>
					<div>
						3月27日,新智元2017开源·生态AI技术峰会盛大召开.这场中国&quot;AI春节&quot;由新智元携手英特尔联合举办.就在峰会召开的前几天,英特尔对外宣布组建了一个超级AI部门,而此前英特尔收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YrVRM.html" rel="bookmark" class="title">如何提高mysql大批量数据更新（update）的效率？</a>
					<div>
						问题描述 如何提高mysql大批量数据更新(update)的效率? 本人所写的sql语句如下: UPDATE resulttmpSET result.forward_count=ROUND(tmp.f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7KmWM.html" rel="bookmark" class="title">给pdf文件添加防伪水印logo（附工程源码下载）</a>
					<div>
						版权声明:本文为博主原创文章,转载注明出处http://blog.csdn.net/u013142781 目录(?)[+] pdf添加水印logo这种需求场景确实很少,有些时候一些销售单据生成pdf添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkoGvM.html" rel="bookmark" class="title">IOS环信3&period;0如何监听未读消息数的改变？</a>
					<div>
						问题描述 3.0为什么没那个回调函数了?求解如何获取 解决方案 监听会话的未读消息这个属性,然后你在监听的方法中实现就行					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7rRQb.html" rel="bookmark" class="title">网站被降权的解决办法详解</a>
					<div>
						网站被降权这几乎是每个站长都会遇到的事,无论是什么类型的网站都不可能一帆风顺的,总要经过各种各样的考验之后才能真正的成长起来,但在这期间能不能坚持下来就是个问题了,很多的站长在网站遇到问题的时候,都会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKE3vM.html" rel="bookmark" class="title">sfc-如何实现系统开始文件estting ini数据为0降低配置正常运行？</a>
					<div>
						问题描述 如何实现系统开始文件estting ini数据为0降低配置正常运行? 我做的是SFC系统开发和维护,电脑程序太卡,经常出现无应答,系统反馈数据中断.在大型网游中estting里的=1,0-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6YLvp.html" rel="bookmark" class="title">我国IDC&sol;ISP持证企业发展情况：共4065家 地区发展不均衡</a>
					<div>
						昨日,中国信息通信研究院发布&lt;全国增值电信业务市场发展情况报告&gt;,报告显示,截至2017年3月底,全国 IDC 持证企业共1181家,环比增长4.98%:全国ISP持证企业共 2884 家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdGBep.html" rel="bookmark" class="title">盛大游戏发布二季度财务报告</a>
					<div>
						盛大游戏http://www.aliyun.com/zixun/aggregation/259.html&quot;&gt;CEO兼首席制作人张向东TechWeb配图 [TechWeb报道]8月28日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenxDOb.html" rel="bookmark" class="title">ios中 是怎么打开doc和docx文件？</a>
					<div>
						问题描述 ios中 是怎么打开doc和docx文件? iOS 中有打开doc和docx文件的第三方库吗? 解决方案 可以直接打开吧! 我的就可以打开!!!!!!!!!!!! 解决方案二: http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXKOOz.html" rel="bookmark" class="title">c&num;怎么赋值给num1，num2，具体数字</a>
					<div>
						问题描述 usingSystem;classB{publicstaticvoidMain(string[]args){intnum1,num2,resu;//分别用来存放被除数,除数和商try{num ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPZJ5p.html" rel="bookmark" class="title">火车上也可以连WiFi了：中传集团推出火车富媒体</a>
					<div>
						摘要: 长途火车有多难受,坐过的人都明白.要是能在火车上连WiFi,吃着泡面看动漫,相信时间会快很多. 昨天,中传集团推出火车富媒体娱乐服务平台箩筐.中传集团火车网项目总协调人 长途火车有多难受,坐过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqGQmb.html" rel="bookmark" class="title">Dsoframer最好用的版本是哪个？坛子里有么？</a>
					<div>
						问题描述 Dsoframer最好用的版本是哪个?坛子里有么? 解决方案 解决方案二:我的资源有,最新版,中文菜单,包括源码.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4321Jp.html" rel="bookmark" class="title">求救，java如何调取outlook会议室信息</a>
					<div>
						问题描述 java如何调用outlook会议室信息,有做过相关的吗,给点提示,百度了好多,没找到相关的.有没有相关的jar包,文档之类的,有用的信息都可以的,我一点思路都没有,有点急,谢谢大家了 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNOy6dp.html" rel="bookmark" class="title">纠结的移动广告：市场尚在孕育优质媒体稀缺</a>
					<div>
						手机已经成为中国用户使用最多的上网终端,然而为什么移动广告市场还是那么小? 新浪科技 张楠 中国互联网络信息中心(CNNIC)上周发布的一组数据令中国的移动互联网创业者们欢欣鼓舞. 2012年上半年, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWlgNb.html" rel="bookmark" class="title">&lbrack;观点&rsqb;开源不会给 Windows 业务带来明显改观</a>
					<div>
						据国外媒体报道,微软Azure部门首席技术官马克•拉西诺维奇称Windows&quot;完全可能&quot;成为开放源代码软件,毕竟现在是&quot;全新的微软&quot;.拉 西诺维奇所言不虚,现在 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
